#ifndef LIBSARIA_H
#define LIBSARIA_H

#include <libsaria/audio.h>
#include <libsaria/callback.h>
#include <libsaria/print.h>

class Libsaria
{
	private:
		Audio audio;
		void trigger_callback(callback_t);

	public:
		Libsaria(int, char**);
		~Libsaria();

		/* Other functions */
		void load(string);
		void set_volume(double);
		double get_volume();
		void register_callback(callback_t, void (*)());

		/* Control functions */
		void play();
		void pause();
		void stop();

		/* Functions related to position in the song */
		void seek(int);
		void seek_to(double);
};

class Libsaria *libsaria_get();
void libsaria_init(int, char**);
void libsaria_quit();

#endif /* LIBSARIA_H */
