
#include <libsaria/libsaria.h>

/*
 * Implementations of functions defined in the libsaria class
 */

Libsaria::Libsaria(int argc, char **argv)
{
	audio.init(argc, argv);
}

Libsaria::~Libsaria()
{
}

void Libsaria::load(string filepath)
{
	audio.load(filepath);
	play();
}

void Libsaria::set_volume(double volume)
{
	audio.set_volume(volume);
	trigger_callback(VOLUME);
}

double Libsaria::get_volume()
{
	return audio.get_volume();
}

/*
 * Convenience functions for accessing libsaria class functions
 */

void libsaria_load(string filepath)
{
	libsaria_get()->load(filepath);
}

void libsaria_set_volume(double volume)
{
	libsaria_get()->set_volume(volume);
}

double libsaria_get_volume()
{
	return libsaria_get()->get_volume();
}
